13 to 15 Upgrade issues


#1

Hi,

I run the script to upgrade a FreepBX 13 system
and i run to to the following errors when i run yum update

--> Finished Dependency Resolution
Error: php56w-common conflicts with php-common-5.4.16-48.el7.x86_64
 You could try using --skip-broken to work around the problem
** Found 48 pre-existing rpmdb problem(s), 'yum check' output follows:
apr-util-ldap-1.3.9-3.el6_0.1.x86_64 has missing requires of apr-util = ('0', '1.3.9', '3.el6_0.1')
cyrus-sasl-2.1.23-15.el6_6.2.x86_64 has missing requires of cyrus-sasl-lib = ('0', '2.1.23', '15.el6_6.2')
cyrus-sasl-2.1.23-15.el6_6.2.x86_64 has missing requires of libdb-4.7.so()(64bit)
cyrus-sasl-2.1.23-15.el6_6.2.x86_64 has missing requires of libsasl2.so.2()(64bit)
distro-upgrade-1807-2.sng7.noarch has missing requires of schmooze-release
libpri-devel-1.4.12-13.shmz65.1.4.x86_64 has missing requires of libpri = ('0', '1.4.12', '13.shmz65.1.4')
libss7-devel-1.0.2-7_centos6.x86_64 has missing requires of libss7 = ('0', '1.0.2', '7_centos6')
libtiff-devel-3.9.4-10.el6_5.x86_64 has missing requires of libtiff = ('0', '3.9.4', '10.el6_5')
libtiff-devel-3.9.4-10.el6_5.x86_64 has missing requires of libtiff.so.3()(64bit)
libtiff-devel-3.9.4-10.el6_5.x86_64 has missing requires of libtiffxx.so.3()(64bit)
libtonezone-devel-2.11.1-1.shmz65.1.47.x86_64 has missing requires of libtonezone = ('0', '2.11.1', '1.shmz65.1.47')
libwat-devel-2.1.0-1.shmz65.1.17.x86_64 has missing requires of libwat = ('0', '2.1.0', '1.shmz65.1.17')
multitail-5.2.13-2.1.x86_64 has missing requires of perl(Geo::IP)
mysql-init-fixer-1.0.0-4_centos6.noarch has missing requires of mysql-server
mysql-log-rotate-1.0.0-1.shmz65.5.7.noarch has missing requires of mysql-server
1:perl-Module-Pluggable-3.90-136.el6_6.1.x86_64 has missing requires of perl = ('4', '5.10.1', '136.el6_6.1')
3:perl-version-0.77-136.el6_6.1.x86_64 has missing requires of perl = ('4', '5.10.1', '136.el6_6.1')
php-5.3.28-3.shmz65.4.125.x86_64 has missing requires of httpd-mmn = ('0', '20051115', None)
php-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libgmp.so.3()(64bit)
php-cli-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libgmp.so.3()(64bit)
php-gd-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libpng12.so.0()(64bit)
php-gd-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libpng12.so.0(PNG12_0)(64bit)
php-intl-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libicudata.so.42()(64bit)
php-intl-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libicui18n.so.42()(64bit)
php-intl-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libicuio.so.42()(64bit)
php-intl-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libicuuc.so.42()(64bit)
php-ldap-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libsasl2.so.2()(64bit)
php-mysql-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libmysqlclient.so.16()(64bit)
php-mysql-5.3.28-3.shmz65.4.125.x86_64 has missing requires of libmysqlclient.so.16(libmysqlclient_16)(64bit)
php56w-common-5.6.40-1.sng7.x86_64 has installed conflicts php-common < ('0', '5.6', None): php-common-5.3.28-3.shmz65.4.125.x86_64
pjproject-devel-2.4-9.shmz65.8.13.x86_64 has missing requires of gsm-devel
pjproject-devel-2.4-9.shmz65.8.13.x86_64 has missing requires of libsrtp-devel
pjproject-devel-2.4-9.shmz65.8.13.x86_64 has missing requires of speex-devel
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of /usr/bin/gdb-add-index
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of elfutils >= ('0', '0.128', None)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of libdb-4.7.so()(64bit)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of liblzma.so.0()(64bit)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of librpm.so.1()(64bit)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of librpmbuild.so.1()(64bit)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of librpmio.so.1()(64bit)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of lzma
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of patch >= ('0', '2.5', None)
rpm-build-4.8.0-38.el6_6.x86_64 has missing requires of rpm = ('0', '4.8.0', '38.el6_6')
subversion-1.6.11-12.el6_6.x86_64 has missing requires of libdb-4.7.so()(64bit)
subversion-1.6.11-12.el6_6.x86_64 has missing requires of libsasl2.so.2()(64bit)
subversion-1.6.11-12.el6_6.x86_64 has missing requires of perl(Digest::MD5) >= ('0', '2.20', None)
subversion-1.6.11-12.el6_6.x86_64 has missing requires of perl(URI) >= ('0', '1.17', None)
subversion-1.6.11-12.el6_6.x86_64 has missing requires of python(abi) = ('0', '2.6', None)

I run yum update -y

Transaction check error:
  file /etc/fail2ban/filter.d/vsftpd.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/logrotate.d/fail2ban from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/badips.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/blocklist_de.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/dshield.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/dummy.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/firewallcmd-ipset.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/firewallcmd-new.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-allports.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-ipset-proto4.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-ipset-proto6-allports.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-ipset-proto6.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-multiport-log.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-multiport.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-new.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables-xt_recent-echo.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/iptables.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/mynetwatchman.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/route.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/sendmail.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/fail2ban.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/3proxy.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/apache-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/apache-badbots.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/apache-common.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/apache-modsecurity.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/apache-noscript.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/apache-overflows.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/assp.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/asterisk.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/common.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/cyrus-imap.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/dovecot.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/dropbear.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/ejabberd-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/exim-common.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/exim-spam.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/exim.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/freeswitch.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/groupoffice.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/lighttpd-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/mysqld-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/named-refused.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/nginx-http-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/nsd.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/pam-generic.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/php-url-fopen.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/postfix.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/proftpd.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/pure-ftpd.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/recidive.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/roundcube-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/selinux-common.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/sendmail-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/sendmail-reject.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/sogo-auth.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/solid-pop3d.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/squid.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/sshd.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/suhosin.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/wuftpd.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/filter.d/xinetd-fail.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/jail.conf from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/bin/fail2ban-client from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/bin/fail2ban-regex from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/bin/fail2ban-server from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/lib/systemd/system/fail2ban.service from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/share/man/man1/fail2ban-client.1.gz from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/share/man/man1/fail2ban-regex.1.gz from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/share/man/man1/fail2ban-server.1.gz from install of fail2ban-server-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/sendmail-buffered.conf from install of fail2ban-sendmail-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/sendmail-common.conf from install of fail2ban-sendmail-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/sendmail-whois-lines.conf from install of fail2ban-sendmail-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /etc/fail2ban/action.d/sendmail-whois.conf from install of fail2ban-sendmail-0.11.1-9.el7.2.noarch conflicts with file from package fail2ban-fpbx-0.8.14-76.sng7.noarch
  file /usr/lib/firmware/ql2400_fw.bin from install of linux-firmware-20191203-76.gite8a0f4c.el7.noarch conflicts with file from package ql2400-firmware-7.03.00-1.el6_5.noarch
  file /usr/lib/firmware/ql2500_fw.bin from install of linux-firmware-20191203-76.gite8a0f4c.el7.noarch conflicts with file from package ql2500-firmware-7.03.00-1.el6_5.noarch

Error Summary

is there anything i cann do to fix it ?


#2

I ve run yum update before running the script.
Now if i try ./post upgrade script i am getting

[[email protected] ~]# ./post_upgrade
######### Starting upgrade repair on Tue Oct 5 19:49:00 EEST 2021 #########
######### Cleaning old EL5 and EL6 packages #########
######### Enabling and starting mariadb #########
######### Running mysql_upgrade #########
######### Attempting to check for internet connectivity #########
######### Invalid certificate. It is likely that something is doing SSL interception #########
######### Please assign this machine to the unfiltered zone and retry #########

why so many issues ? what did i do wrong !!!


(R. Stindl) #3

What script did you use? Is there a script to go from 13 to 15?

That’s the recommended method (last part):

https://wiki.freepbx.org/pages/viewpage.action?pageId=163840098


#4

yes this one i used

i ve managed to finish yum update correctly.

but now i cannot start Asterisk…


(R. Stindl) #5

There is no yum update…from 13 to 15…and the script is for 14>15


(Jared Busch) #6

There is no yum upgrade for FreePBX 14 to 15 as that is for the OS. and the FreePBX 14 to 15 upgrade does not touch the OS.

There are yum commands for the FreePBX 13 to FreePBX 14 upgrade, but I thought that script was removed.


(Jared Busch) #7

No it is not. Because that is not a link for FreePBX 13 to FreePBX 15.


(R. Stindl) #8

Yes on the bottom of the page, there is the description using the backup module :wink:


(R. Stindl) #9

He seems to have used a 14>15 script for his freePBX 13 server :frowning:


#10

i am trying to start asterisk with asterisk -cvvv but nothing

Asterisk Dynamic Loader Starting:
[2021-10-05 20:40:26] NOTICE[10588]: loader.c:2389 load_modules: 343 modules will be loaded.
Loading res_odbc_transaction.so.
== Registered application ‘ODBC_Commit’
== Registered application ‘ODBC_Rollback’
== Registered custom function ‘ODBC’
== res_odbc_transaction.so => (ODBC transaction resource)
Loading res_odbc.so.
[2021-10-05 20:40:26] WARNING[10588]: res_odbc.c:1067 odbc_obj_connect: res_odbc: Error SQLConnect=-1 errno=0 [unixODBC][Driver Manager]Data source name not found, and no default driver specified
[2021-10-05 20:40:26] NOTICE[10588]: res_odbc.c:706 load_odbc_config: Registered ODBC class ‘asteriskcdrdb’ dsn->[MySQL-asteriskcdrdb]
== res_odbc.so => (ODBC resource)
Loading extconfig.
[ Initializing Custom Configuration Options ]
[2021-10-05 20:40:26] ERROR[10588]: config.c:1949 process_text_line: The file ‘extconfig_custom.conf’ was listed as a #include but it does not exist.
[2021-10-05 20:40:26] ERROR[10588]: loader.c:2508 load_modules: Error loading module ‘chan_local.so’: /usr/lib64/asterisk/modules/chan_local.so: cannot open shared object file: No such file or directory
[2021-10-05 20:40:26] ERROR[10588]: loader.c:2508 load_modules: Error loading module ‘res_fax_spandsp.so’: libtiff.so.5: cannot open shared object file: No such file or directory
[2021-10-05 20:40:26] ERROR[10588]: loader.c:2508 load_modules: Error loading module ‘res_pjsip_phoneprov_provider.so’, missing dependency: res_phoneprov
[2021-10-05 20:40:26] ERROR[10588]: loader.c:2508 load_modules: *** Failed to load module extconfig
[2021-10-05 20:40:26] ERROR[10588]: loader.c:2508 load_modules: Failed to load extconfig.
[2021-10-05 20:40:26] ERROR[10588]: asterisk.c:3935 check_init: Module initialization failed. ASTERISK EXITING!

== Manager unregistered action DBGet
== Manager unregistered action DBPut
== Manager unregistered action DBDel
== Manager unregistered action DBDelTree

Is there anything i can do to make it work, or i will ve to install FreePBX from the start


(R. Stindl) #11

You first have to describe what you actually did…which script did you use?


(Jared Busch) #12

This post was flagged by the community and is temporarily hidden.


#13

https://wiki.freepbx.org/display/PPS/Upgrading+from+FreePBX+10.13.66+to+SNG7


(Jared Busch) #14

That is a FreePBX 13 to 14 script. You broke something and should revert your system and try again.

Did you have extra repositories added to freePBX 13?


#15

no i dont think so.
Can i upgrade from 14 to 15 somehow ?


(Jared Busch) #16

If your system is not correctly running on FreePBX 14, I doubt the upgrade to 15 will magically make it better.

Now that you know you are on FreePBX 14, try troblehsooting


#17

MY GUI is not working only cli, what can i try ?


(Jared Busch) #18

start with fwconsole chown
then fwconsole restart


#19

unfortunately dont start

Running FreePBX startup…
Taking too long? Customize the chown command, See http://wiki.freepbx.org/display/FOP/FreePBX+Chown+Conf
Setting Permissions…
Setting base permissions…Done
Setting specific permissions…
50554 [============================]
Finished setting permissions
Running Asterisk pre from Dahdiconfig module
Wanrouter: No valid Sangoma Hardware found, if you have no Sangoma cards this is OK
DAHDi: Already started
Running Asterisk pre from Firewall module
Running Asterisk pre from Sysadmin module
Running Sysadmin Hooks
Restarting fail2ban
fail2ban Restarted
Updating License Information for 16335023
Checking Vpn server
Starting Asterisk…
[--------------->------------] 12 secs

[Exception]
Unable to connect to Asterisk. Did it start?

start [–pre] [–post] [–skipchown] [–] []…


#20

Hi,

I have updated to FreePBX 15 and restore my backup from FreePBX 13. I should have done it from the begining propably

Smooth operation till now.

I appreciate your help

Thank you all of you.